org.apache.ignite.internal.processors.cache.query

## Class QueryEntityClassProperty

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.query.QueryEntityClassProperty

    public class QueryEntityClassProperty
    extends Object

Description of type property.

### Constructor Summary

Constructors
Constructor and Description
`QueryEntityClassProperty(Member member)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `alias()`
`void` `alias(String alias)`
`String` `fullName()`
`boolean` `knowsClass(Class<?> cls)`
`void` `parent(QueryEntityClassProperty parent)`
`String` `toString()`
`Class<?>` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryEntityClassProperty

    public QueryEntityClassProperty(Member member)

Constructor.

Parameters:
  `member` - Element.

### Method Detail

#### alias

    public void alias(String alias)

Parameters:
  `alias` - Alias.

#### alias

    public String alias()

Returns:
  Alias.

#### type

    public Class<?> type()

Returns:
  Type.

#### parent

    public void parent(QueryEntityClassProperty parent)

Parameters:
  `parent` - Parent property if this is embeddable element.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### knowsClass

    public boolean knowsClass(Class<?> cls)

Parameters:
  `cls` - Class.
Returns:
  `true` If this property or some parent relates to member of the given class.

#### fullName

    public String fullName()

Returns:
  Full name with all parents in dot notation.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018